function Testing(req) {
    this.tab = req.params.tab;
}

function PageNotFound(req) {}

/* Redirect user if no hash tag was found */
if (location.hash == '') {
    location.hash = '#Home';
}

tts.DoCacheAssets = true;

/*
 * @todo add Middle-ware showLoader, userAuth
 */
tts.Router.get('Testing/:tab', function(req) {
    do_tabs('Testing', req);
});

var empty_tab_pages = ['Dashboard', 'Reports', 'Maintenance', 'Tenant', 'Notes', 'Activity', 'NewProperty'];
var do_404_page_on_bad_tabs = true;

/* Keep this as the very last Route, for 404 to work right! 
tts.Router.get('*', function (req, e) {
  if (!e.parent()) {
    do_tabs('PageNotFound', req); // 404 Page on NON: [Tenants/Properties] hash routes
  }
});
*/

tts(function() {
    /*
    let dp = new tts.DeferredPromise();
    dp.then(val=>{
        alert(val.name);
    });
    dp.resolve({name: 'Luke'});
     * 
     */
});